/*  IsoView2 - Visualization tool for CactusCode
    Copyright (C) 2004 John Shalf

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
/* DataConnection */
#ifndef __DATACONNECTION_H_
#define __DATACONNECTION_H_

#ifdef  __cplusplus
extern "C" {
#endif

void *NewDataSenderNB(int port);
void *NewFastDataSenderNB(int port,int windowsize);

void *NewDataSender(char *hostname,int port);
void *NewFastDataSender(char *hostname,int port,int windowsize);
void *NewDataReceiver(char *hostname,int port);
void SetBlockSize(void *object,int blocksize);
int SendData(void *object,char *name,int length,int type,void *data);
int ReceiveData(void *object,char *name,int length,int tyhpe,void *data);
void DeleteDataSender(void *object);
void DeleteDataReceiver(void *object);

#ifdef  __cplusplus
}
#endif




#endif /* __DATACONNECTION_H_ */
